@media screen and (max-width: 576px) {

    .btn-group {
        align-items: center;
    }

    header {
        max-width: 100%;
    }

    header .banner-container {
        gap: 60px;
        max-width: 95%;
    }

    header .banner-container {
        flex-direction: column;
    }

    body {
        overflow-x: hidden;
    }

    .banner-container .banner-content {
        max-width: 100%;
    }

    .banner-content {
        text-align: center;
    }

    .banner-content h1 {
        font-size: 40px;
        display: flex;
        flex-wrap: wrap;
    }


    .banner-image {
        width: 86%;
        margin: 0 auto;
        display: flex;
        justify-content: center;
    }


    /* Feature section */

    header {
        margin-bottom: 80px;
    }


    main {
        max-width: 100%;
    }

    .feature-container {
        width: 95%;
    }

    .heading-container {
        max-width: 100%;
    }

    .heading-container h2 {
        font-size: 35px;
    }

    .feature-card-container {
        max-width: 100%;
        flex-direction: column;
        gap: 25px;
    }



    .feature-card {
        margin: 0 auto;
        max-width: 100%;
        padding: 35px;
        aspect-ratio: 5 / 7;
    }

    .feature-card img {
        width: 100%;
    }


    /* Sticker related styles */


    .sticker-section {
        padding: 40px 20px;
        margin-bottom: 60px;
    }

    .sticker-card-container {
        flex-direction: column;
        gap: 24px;
        align-items: center;
    }

    .sticker-card {
        max-width: 100%;
        width: 100%;


    }

    .sticker-card h3 {
        font-size: 18px;
        line-height: 1.4;
    }

    .sticker-card img {
        max-width: 70px;
    }


    /* Deal Section */

    .discount-section {
        padding-top: 60px;
        padding-bottom: 60px;
        margin-bottom: 80px;
    }

    .deal-container {
        max-width: 90%;
        flex-direction: column-reverse;
        gap: 40px;
        text-align: center;
    }

    .deal-content {
        max-width: 100%;
    }

    .deal-content h2 {
        font-size: 28px;
        line-height: 40px;
        margin-bottom: 18px;
    }

    .deal-content p {
        font-size: 16px;
        line-height: 26px;
        margin-bottom: 20px;
    }

    .deal-image {
        max-width: 220px;
    }

    .deal-image img {
        width: 100%;
    }

    .primary-btn {
        width: 100%;
        max-width: 220px;
    }


    /* Flowers Section */

    .flowers-heading {
        max-width: 100%;
    }

    .flowers-heading h2 {
        font-size: 35px;
    }

    .flowers-cards {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    .flower-card {
        max-width: 100%;

    }


    /* Subscribe */
    .subscribe {
        margin-bottom: 75px;
        padding-top: 55px;
        padding-bottom: 45px;
        background-image:
            linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
            url('assets/Rectangle 9.png');
    }

    .subscribe-container h2,
    .subscribe-container p {
        color: white;
    }

    .subscribe-container h2 {
        font-size: 35px;
    }

    .input-container {
        flex-direction: column;
        justify-content: center;
        /* border: 1px solid white; */
        max-width: 97%;
        margin: 0 auto;
    }

    .input-container input {
        width: 100%;
        margin-bottom: 22px;
        padding: 22px;

    }

    .input-container button {
        width: 50%;
        margin: 0 auto;
        padding: 20px;
    }




    footer {
        background-color: #111010;
        padding: 70px 0;
        text-align: center;
        color: white;
    }

    .footer-container {
        max-width: 90%;
        margin: 0 auto;
    }

    .footer-container>h2 {
        font-size: 40px;
        font-weight: 900;
        margin-bottom: 24px;
    }


}